## zope.location 6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopelocation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopelocation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopelocation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopelocation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.location 3.9.1

=== debian/changelog ===
zope.location (3.9.1-2) unstable; urgency=low

  * Team upload.
  * Use debian/source/options to ignore changes in egg-info directory
    rather than debian/clean otherwise zcml and txt files are missing.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 22:03:13 +0900

zope.location (3.9.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Use dh_python2 instead of deprecated python-central (Closes: #617172).
  * debian/copyright: convert to dep5 format.
  * Switch to 3.0 (quilt) source format.
  * debian/control: add Homepage and Vcs-Browser fields.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if built
    twice.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 18 Oct 2011 18:44:12 +0300

zope.location (3.8.2-1) unstable; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 21:37:50 +0100

zope.location (3.7.0-2) unstable; urgency=low

  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552925)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:08:09 +0100

zope.location (3.7.0-1) unstable; urgency=low

  * New upstrem release.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Oct 2009 06:39:17 +0000

zope.location (3.6.0-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 10:13:40 +0200

zope.location (3.6.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3, no changed required.
  * debian/control: added conflict with zope3.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 10:56:35 +0200

zope.location (3.5.4-1) unstable; urgency=low

  * New upstream release

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 08 Jun 2009 02:41:51 +0200

zope.location (3.5.2-2) unstable; urgency=low

  * Remove Cruft

 -- Brian Sutherland <brian@vanguardistas.net>  Sun, 07 Jun 2009 12:59:23 +0200

zope.location (3.5.2-1) unstable; urgency=low

  * New upstream release
  * Convert to using python-van.pydeb.
  * Change source package name to zope.proxy.
  * Standards version 3.8.1.
  * debhelper compat version -> 7
  * Maintainer as the zope team, uploader is me.
  * build for all python versions.
  * Improve description
  * Add watch and copyright files 

 -- Brian Sutherland <brian@vanguardistas.net>  Sun, 07 Jun 2009 11:59:49 +0200

python-zope.location (3.4.0-1ubuntu1.2) lenny; urgency=low

  * Non-maintainer upload.
  * Rebuild for lenny

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 08 May 2009 11:17:41 +0000

python-zope.location (3.4.0-1ubuntu1.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:44:09 +0200

python-zope.location (3.4.0-1ubuntu1) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:19:17 +0300

python-zope.location (3.4.0-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.location
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.location/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.location/trunk
Homepage: http://pypi.python.org/pypi/zope.location

Package: python-zope.location
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends}
Suggests: ${pydeb:Suggests}
Provides: ${pydeb:Provides}
Conflicts: zope3
Description: Tools for working with object locations
 In Zope3, locations are special objects that have a structural location.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=zcml

%:
	dh --with pydeb --with python2 $@

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testing

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.location/zope.location-(\d.*)\.(?:tar\.gz|zip)

## zope.location 4.0.3

=== debian/changelog ===
zope.location (4.0.3-2) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Wed, 10 Jun 2015 10:07:24 -0400

zope.location (4.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Updated Build-Depends.
    - Added myself to Uploaders.
    - Bump Standards-Version to 3.9.5 with no other changes necessary.
    - Added X-Python3-Version header.
    - Added XS-Testsuite header.  Closes: #692705
    - Added python3-zope.location binary package.
  * d/rules: Convert to pybuild and add dh_python3.
  * d/compat: Bump to version 9.
  * d/copyright:
    - Added Files-Excluded header to prune pre-built Sphinx artifacts in
      docs/_build from the original tarball.
    - Fixed Format header.
  * d/tests:
    - control: Added all-3 test and simplified Depends.
    - all{,-3}: Just prove a simple import works.

 -- Barry Warsaw <barry@debian.org>  Wed, 25 Jun 2014 15:11:13 -0400

=== debian/control ===
Source: zope.location
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-zope.proxy,
               python-zope.schema,
               python3-all,
               python3-setuptools,
               python3-zope.proxy,
               python3-zope.schema
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.location/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.location/trunk
Homepage: http://pypi.python.org/pypi/zope.location
XS-Testsuite: autopkgtest

Package: python-zope.location
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Conflicts: zope3
Description: Tools for working with object locations
 In Zope3, locations are special objects that have a structural location.
 .
 This is the Python 2 version.

Package: python3-zope.location
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Conflicts: zope3
Description: Tools for working with object locations
 In Zope3, locations are special objects that have a structural location.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.location

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## zope.location 4.2

=== debian/changelog ===
zope.location (4.2-2) unstable; urgency=medium

  * Replace custom autopkgtest with autodep8

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Sep 2019 14:13:30 +0200

zope.location (4.2-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869463.
  * New upstream version.
  * Stop building the Python2 package. Closes: #938910.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:21:10 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.location

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test -O--buildsystem=pybuild

## zope.location 5.0

=== debian/changelog ===
zope.location (5.0-1) unstable; urgency=medium

  * QA upload. 
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2023 16:02:56 +0100

=== debian/control ===
Source: zope.location
Section: zope
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-zope.proxy,
               python3-zope.schema
Standards-Version: 4.4.0
Homepage: http://pypi.python.org/pypi/zope.location
Testsuite: autopkgtest-pkg-python

Package: python3-zope.location
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Conflicts: zope3
Description: Tools for working with object locations
 In Zope3, locations are special objects that have a structural location.
 .
 This is the Python 3 version.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.location/zope.location-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.location 5.1

=== debian/changelog ===
zope.location (5.1-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 5.1
  * Switch to pybuild-plugin-pyproject
  * Enable tests with python3-zope.testrunner
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Feb 2025 07:04:35 +0100

zope.location (5.0-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Jun 2024 08:00:49 +0200

=== debian/control ===
Source: zope.location
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-zope.proxy,
 python3-zope.schema,
 python3-zope.testrunner,
Standards-Version: 4.7.0
Homepage: https://github.com/zopefoundation/zope.location/
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debian/zope.location
Vcs-Git: https://salsa.debian.org/debian/zope.location.git

Package: python3-zope.location
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Conflicts: zope3,
Description: Tools for working with object locations
 In Zope3, locations are special objects that have a structural location.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.location

export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_BEFORE_TEST = touch {build_dir}/zope/__init__.py
export PYBUILD_TEST_ARGS = \
        PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.location -vv
export PYBUILD_AFTER_TEST = rm {build_dir}/zope/__init__.py

%:
	dh $@ --buildsystem=pybuild

## zope.location 6.0

=== debian/changelog ===
zope.location (6.0-4) unstable; urgency=medium

  * Adopt package for the Debian Python Team (closes: #948812).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Oct 2025 12:14:45 +0100

zope.location (6.0-3) unstable; urgency=medium

  * QA upload.
  * Remove dependency on python3-pkg-resources (Closes: #1084016)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 12:15:12 +0200

zope.location (6.0-2) unstable; urgency=medium

  * QA upload.
  * Stop touching zope/__init__.py while running tests (closes: #1115763).
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Sep 2025 23:59:47 +0100

zope.location (6.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 6.0
  * Bump Standards-Version to 4.7.2
  * Add d/sasla-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 10:07:48 +0200

=== debian/control ===
Source: zope.location
Section: zope
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-zope.proxy,
 python3-zope.schema,
 python3-zope.testrunner,
Standards-Version: 4.7.2
Homepage: https://github.com/zopefoundation/zope.location/
Testsuite: autopkgtest-pkg-pybuild
Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.location
Vcs-Git: https://salsa.debian.org/python-team/packages/zope.location.git

Package: python3-zope.location
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Conflicts: zope3,
Description: Tools for working with object locations
 In Zope3, locations are special objects that have a structural location.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.location

export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = \
        PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.location -vv

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.location/zope.location-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
